OGRE-Next: Ogre::GLES2Context Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::GLES2Context Class Referenceabstract

Class that encapsulates an GL context. More...

`#include <OgreGLES2Context.h>`

Inheritance diagram for Ogre::GLES2Context:
[legend]

## Public Member Functions
| GLES2Context ()
virtual | ~GLES2Context ()
virtual GLES2Context * | clone () const =0
| Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.
virtual void | endCurrent ()=0
| This is called before another context is made current.
bool | getInitialized ()
virtual void | releaseContext ()
| Release the render context.
virtual void | setCurrent ()=0
| Enable the context.
void | setInitialized ()

## Detailed Description

Class that encapsulates an GL context.

(IE a window/pbuffer). This is a virtual base class which should be implemented in a GLES2Support. This object can also be used to cache renderstate if we decide to do so in the future.

## Constructor & Destructor Documentation

## ◆ GLES2Context()

Ogre::GLES2Context::GLES2Context | ( |  | ) |

Referenced by Ogre::EGLContext::clone(), and clone().

## ◆ ~GLES2Context()

virtual Ogre::GLES2Context::~GLES2Context | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ clone()

virtual GLES2Context * Ogre::GLES2Context::clone | ( |  | ) | const
| pure virtual

Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.

Note
  The caller is responsible for deleting the returned context.

Implemented in Ogre::AndroidEGLContext, Ogre::EGLContext, Ogre::EGLContext, Ogre::EmscriptenEGLContext, Ogre::Win32EGLContext, and Ogre::X11EGLContext.

References GLES2Context().

## ◆ endCurrent()

virtual void Ogre::GLES2Context::endCurrent | ( |  | ) |
| pure virtual

This is called before another context is made current.

By default, nothing is done here.

Implemented in Ogre::EGLContext, and Ogre::EGLContext.

## ◆ getInitialized()

bool Ogre::GLES2Context::getInitialized | ( |  | ) |
| inline

## ◆ releaseContext()

virtual void Ogre::GLES2Context::releaseContext | ( |  | ) |
| inlinevirtual

Release the render context.

## ◆ setCurrent()

virtual void Ogre::GLES2Context::setCurrent | ( |  | ) |
| pure virtual

Enable the context.

All subsequent rendering commands will go here.

Implemented in Ogre::EGLContext, and Ogre::EGLContext.

## ◆ setInitialized()

void Ogre::GLES2Context::setInitialized | ( |  | ) |
| inline

The documentation for this class was generated from the following file:

- OgreGLES2Context.h